Sandbox
Sandbox: Agentic Wallets
Test agentic wallets with simulated agent transactions on testnet
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Test agentic wallets with simulated agent transactions on testnet
# 1. Create a wallet
curl -X POST 'https://crypto-sandbox.yativo.com/api/v1/agentic-wallets/create' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{ "name": "Test Agent Wallet" }'
# 2. Send activation OTP
curl -X POST 'https://crypto-sandbox.yativo.com/api/v1/agentic-wallets/aw_.../activation/send-email-otp' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
# 3. Activate (enter the OTP from your email)
curl -X POST 'https://crypto-sandbox.yativo.com/api/v1/agentic-wallets/aw_.../activation/activate' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{ "email_otp": "123456" }'
curl -X POST 'https://crypto-sandbox.yativo.com/api/v1/sandbox/simulate-agentic-transaction' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"wallet_id": "aw_01abc123"
}'
